export const eventsQueryKeys = {
  getEventsList: (token: string) => ['getEventsList', token] as const,
  getEvent: (token: string, url: string) => ['getEvent', { token, url }] as const,
  joinEvent: () => ['joinEvent'] as const,
  unjoinEvent: () => ['unjoinEvent'] as const,
  uploadTempFile: () => ['uploadTempFile'] as const,
  eventAddFile: () => ['eventAddFile'] as const,
  deleteFile: () => ['deleteFile'] as const,
  uploadPhoto: () => ['uploadPhoto'] as const,
  getMorePhotos: (token: string, event_id: number, last_id: number) =>
    ['getMorePhotos', { token, event_id, last_id }] as const
};
